Jump to content

bonuscad

Membres
  • Content Count

    4 836
  • Joined

  • Last visited

  • Days Won

    28

bonuscad last won the day on April 21

bonuscad had the most liked content!

Community Reputation

51 Excellent

1 Follower

About bonuscad

  • Rank
    ceinture rouge et blanche 8em dan

Contact Methods

  • AIM
    1
  • Website URL
    http://bonuscad.perso.sfr.fr/

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Merci, Pour enlever le S=, c'est assez simple à la ligne 69 tu retires "S=" et à la ligne 103 tu retires S= (en laissant bien le "[" et la "," avant et après) Pour le calque courant, c'est déjà le cas ?!? Mais peut être ce qui te perturbe est la couleur forcée du texte qui n'est pas "ducalque" Si c'est cela, change simple à la ligne 77 le dernier nombre entier fourni 250 en 256 (pour "bylayer")
  2. Bonjour, Est ce un fichier qui vous a été donné par e-transmit (fichier.zip)? Si oui, que contenait-il? Tu l'as dézippé intégralement? des fichiers AutoCAD.lsp acaddoc.lsp acaddoc20xx.lsp ou encore d'un .mnl ou *.vlx En attendant ta réponse pour partir en exploration et si possible le fichier incriminé...
  3. J'ai donc amélioré le lisp proposé dans ce fil. Il permet dorénavant de choisir son unité de départ supposé du dessin, de faire une conversion du résultat dans une autre unité et de choisir la précision du résultat. Par exemple on a réalisé un dessin en mm mais on souhaite avoir le résultat de la surface en cm² (sans changer l'unité de départ) avec une précision de 6 chiffres après la virgule. Ces paramètres restent valables tant qu'on reste dans la boucle du choix d'un objet fermé, si on relance la procédure il faudra redéfinir les options. Je suis resté dans le système mé
  4. Bonjour, J'avais répondu à une demande en 2013 faite avec les fonctions vlax-curve. Si tu veux jeté un coup d’œil, c'est là: Supprimer un sommet de polyligne en créant un arc
  5. lili2006, je ne sais pas à quelle routine tu fais allusion, j'en ai publié tant et plus... Celle que je pense serait celle-ci, bien qu'elle fasse le cumul (en aire ou longueur), elle peut être utilisée pour un objet unique.
  6. Exact Olivier, mais il demande une certaine dextérité, dans un dessin un peu fouillis, on a vite fait de ce se retrouver avec plusieurs source de parallèles sans s'en rendre forcément compte. Moi personnellement je le trouve pas forcément productif, un peu comme le mode "tracking", j'ai du mal à mis faire. Certe cela fonctionne mais dès que tu loupe une étape, ça foire vite, mais sa reste mon avis.
  7. En pur lisp (vanilla), c'est certainement le moins efficient (surtout avec de nombreux sommets) Ça retourne les coordonnées dans le SCG quel que soit le SCU de conception et l'élévation. ((lambda ( / ent dxf_ent) (cond ((setq ent (entsel)) (setq ent (car ent) dxf_ent (entget ent)) (mapcar '(lambda (z) (trans (list (car z) (cadr z) (cdr (assoc 38 dxf_ent))) (cdr (assoc 210 dxf_ent)) 0)) (mapcar 'cdr (vl-remove-if '(lambda (x) (/= (car x) 10)) dxf_ent))) ) ) ))
  8. Comme dit (gile) SNAPANG peut être utile en construction ORTHO Pour ma part j'ai boutons prédéfinis en transparence avec par exemple en contenu: 'SNAPANG (angtos (angle (setq P (osnap (cadr (nentsel "Systeme ORTHOparallele a: ")) "_NEAR")) (if (null (osnap P "_MIDPOINT"))(osnap P "_ENDPOINT") (osnap P "_MIDPOINT"))) (getvar "AUNITS") 8)^M Avec ceci je n'ai qu'a cliquer sur un segment (ligne ou polyligne) pour m'aligner dessus.
  9. Bonjour, Pour répondre à une demande sur un forum j'ai été amené à créer ce code. La demande portait sur le raccordement aux extrémités seulement de plusieurs polylignes (composées essentiellement de segments droits) se touchant à leurs extrémités mais étant sur des calques différents, par un rayon identique. Ce raccord d'arc devait être composé en deux parties pour rejoindre le calque des polylignes concernées. Bien que certainement inutile pour beaucoup (mais sait on jamais!), comme j'ai trouvé ce challenge intéressant, j'ai essayé d'y répondre. L’intéressé a été satisfai
  10. Bonjour, Sujet déjà évoqué sous des versions antérieures. Voir ce sujet: Sélection et zoom , si la discussion t’intéresse... (réponses diverse en lisp, désolé pas de VBA😁)
  11. Bonjour, Essayes simplement de rajouter la condition (if (ssget "_I") (command "_.move" "_none" '(0 0 0) "_none" '(40 0 0)))
  12. C'a y est! Problème réglé grâce à Cadmin, un grand merci à lui et à ceux qui m'ont proposé leur aide (didier entre autre) C'était juste le mot de passe de l'époque de l'apparition du site CadXp qui m'avait été fourni automatiquement qui était TROP FAIBLE et qui a généré ce problème. A +
  13. Bonjour, Est ce que un type de ligne est affecté à ces polylignes ou au calque auquel elles appartiennent ET surtout si c'est le cas, est ce que l'échelle du type de ligne est le même entre les 2 postes? Une échelle trop grande peut donner l'impression qu'elles ont disparues ou trop petite donnera l'impression d'une ligne continue... Est ce que la génération du type de ligne est activée ou non ?
  14. Tu dis avoir Covadis, donc j'en déduis que tu as probablement un AutoCAD Map 3d. Si c'est le cas, j'avais eu un problème après l'installation par le service info, je ne pouvais me connecter à un serveur pour établir des requêtes. Après recherche d'info, j'ai appris que AutoCAD devait être au moins lancé UNE fois en tant qu'administrateur pour qu'un utilisateur puisse se connecter. Ceci a été fait et effectivement après j'ai pu me connecter à un serveur. Bien que cela n'a rien à voir avec les Xref, sait-on jamais! Car que fait AutoCAD comme procédure de configuration lorsqu'on le lance
  15. Pour ma part je l'ai installé et n'ai constaté aucun problème, mais je je n'ai pas essayé l'éditeur VLisp. Mais je pense pense qu'il faut être prudent...Par exemple: https://www.it-connect.fr/windows-10-la-mise-a-jour-de-mars-genere-un-ecran-bleu-lors-dune-impression/ https://www.ginjfo.com/actualites/logiciels/windows-10/windows-10-et-kb4601319-des-problemes-apparaissent-20210309
×
×
  • Create New...